Inhalte

# Funktion FileLen

Gibt die Länge einer Datei in Bytes zurück.

### Syntax:

    FileLen (Text As String) As Long

### Rückgabewert:

Long

Verwenden Sie vom Dienst ScriptForge.FileSystem die Methode GetFileLen(), wenn die Größe voraussichtlich mehr als 2 Gigabyte beträgt.

### Parameter:

Text: Ein beliebiger Zeichenfolgenausdruck, der eine eindeutige Dateiangabe enthält. Sie können auch die URL-Schreibweise verwenden.

Diese Funktion bestimmt die Länge einer Datei. Wenn die Funktion FileLen für eine geöffnete Datei aufgerufen wird, gibt sie die Dateilänge zurück, bevor sie geöffnet wurde. Um die aktuelle Dateilänge einer geöffneten Datei zu ermitteln, verwenden Sie die Funktion Lof.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleFileLen
        MsgBox FileLen("C:\autoexec.bat")
    End Sub